Environments
Get Environments visible to a user
Get environments that a user can see. Required permissions: None. Note: This is a beta endpoint with known limitations.
GET
/
api
/
environments
/
beta
/
environments
Get Environments visible to a user
curl --request GET \
--url https://mycluster.domino.tech/api/environments/beta/environments \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/environments/beta/environments"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/environments/beta/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environments": [
{
"archived": false,
"id": "623132867a0af0281c01a69c",
"name": "MyOrg",
"rebuildOnBaseChanges": "never",
"supportedClusters": [
"dask"
],
"visibility": "global",
"activeRevisionTags": [
"<string>"
],
"internalTags": [
"<string>"
],
"isCurated": true,
"latestRevision": {
"availableTools": [
{
"name": "Jupyter",
"startScripts": [
"echo hello"
],
"title": "Jupyter",
"iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
"proxyConfig": {
"internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
"port": 8888,
"requireSubdomain": false,
"rewrite": false
},
"supportedFileExtensions": [
".ipynb"
]
}
],
"id": "62313cfd7a0af0281c01a6a6",
"number": 4,
"status": "queued"
},
"owner": {
"id": "6231327c7a0af0281c01a69b",
"ownerType": "individual",
"username": "OrgOwner"
},
"restrictedRevision": {
"availableTools": [
{
"name": "Jupyter",
"startScripts": [
"echo hello"
],
"title": "Jupyter",
"iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
"proxyConfig": {
"internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
"port": 8888,
"requireSubdomain": false,
"rewrite": false
},
"supportedFileExtensions": [
".ipynb"
]
}
],
"id": "62313cfd7a0af0281c01a6a6",
"number": 4,
"status": "queued"
},
"selectedRevision": {
"availableTools": [
{
"name": "Jupyter",
"startScripts": [
"echo hello"
],
"title": "Jupyter",
"iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
"proxyConfig": {
"internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
"port": 8888,
"requireSubdomain": false,
"rewrite": false
},
"supportedFileExtensions": [
".ipynb"
]
}
],
"id": "62313cfd7a0af0281c01a6a6",
"number": 4,
"status": "queued"
}
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
How many Environments from the start to skip. Defaults to 0.
Max number of Environments to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Get Projects visible to userGet all users visible to the current userGet Registered Models visible to userGet Registered Models visible to user (v2)Was this page helpful?
⌘I
Get Environments visible to a user
